:host {
  display: block;
  min-width: 500px;
}

.note-index-column {
  width: 40px;
  justify-content: space-between;
  align-items: center;
  user-select: none;
  font-size: 20px;
  font-weight: 600;
  color: var(--label-color);
}

.file-is-over {
  border-color: var(--current-workspace-main-color);
}

.dnd-handle {
  width: 12px;
  background-image: url('projects/sqtm-core/src/assets/sqtm-core/img/generic/dot.svg');
  background-repeat: repeat-y;
  visibility: hidden;
}

.container.canDragAndDrop:hover {
  .dnd-handle {
    visibility: inherit;
    cursor: grab;
  }
}

.spacer {
  width: 12px;
  border-right: solid 1px var(--container-border-color);
}

.placeholder {
  background-color: var(--label-color);
  border: 1px dashed var(--container-border-color);
  height: 40px;

  * {
    display: none;
  }
}

.arrow {
  font-size: 12px;
  color: var(--gray-accented-color);
  visibility: hidden;
  display: flex;
  align-items: center;
}

.arrow-up {
  transform: rotate(0.25turn) scale(-1, 1);
}

.arrow-down {
  transform: rotate(0.25turn);
}

.container.canMove:hover {
  .arrow {
    visibility: inherit;
    cursor: pointer;
  }
}
